Subject: Re: "No manual entry" in 98, but OK in NT
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Thu, 9 Nov 2000 18:02:29 -0500

After rebooting, I notice man doesn't work in NT or 98.  The man.conf file
is still untouched.

(echo -e ".pl 1100i"; cat /usr/man/man1/man.1; echo ".pl \n(nlu+10") |
/usr/bin/tbl | /usr/bin/groff -Tascii -mandoc | less -is

still gives me a man man page in 98 and also in NT.  Here's what changed in
cygcheck -s -v -r on NT:

3c3
< Current System Time: Thu Nov  9 17:09:26 2000
---
> Current System Time: Wed Nov  8 12:21:50 2000
139c139
< c:  hd  FAT     2047Mb  64% CP    UN           MS-DOS_6
---
> c:  hd  FAT     2047Mb  63% CP    UN           MS-DOS_6
142,143c142,143
< f:  hd  FAT     1498Mb  94% CP    UN
< g:  net NTFS   16363Mb  89% CP CS UN PA FC
---
> f:  hd  FAT     1498Mb  95% CP    UN
> g:  net NTFS   16363Mb  84% CP CS UN PA FC
148c148
< u:  net NTFS   16363Mb  89% CP CS UN PA FC
---
> u:  net NTFS   16363Mb  84% CP CS UN PA FC

The difference is similar in 98.  Between yesterday and today, I did no
installations
and had no crashes, only normal shutdowns.  I have noticed another problem
where
diff -i completely skipped comparing subdirectories because of directory
name case differences.
Maybe that's too much to expect, though.

Albert yet again

                                                                                                              
                    Albert Galick                                                                             
                                         To:     Albert Galick/BUFFALO/ATTO                                   
                    11/08/00 03:30       cc:     [email-masked]                                 
                    PM                   Subject:     Re: "No manual entry" in 98, but OK in NT(Document      
                                         link: Albert Galick)                                                 

Well, I tried uninstalling man and reinstalling it in 98, and now it works.
This is apparently better than whatever re-install does by itself.

Albert again

                                                                                                              
                    Albert Galick                                                                             
                                         To:     [email-masked]'                               
                    11/08/00             cc:                                                                  
                    03:01 PM             Subject:     "No manual entry" in 98, but OK in NT                   

I have a multiboot system, 98 and NT, with cygwin installed twice to the
same location in a non-booting partition.
I sometimes re-install to fix things, but that didn't work for this
problem.  After I made the /usr/man/cat1 directory
and did man tbl in NT, I could get a tbl man page in 98, but not before.
However, the command from the FAQ

(echo -e ".pl 1100i"; cat /usr/man/man1/man.1; echo ".pl \n(nlu+10") |
/usr/bin/tbl | /usr/bin/groff -Tascii -mandoc | less -is

does give me a man man page in 98 (don't ask me why--but presumably this
imitates some procedure in MAN.EXE).

I have an untouched man.conf file in /lib and it appears to be linked into
/usr/lib in cygwin:

(Embedded image moved to file: pic26962.pcx)

Here's the output of cygcheck -s -v -r on 98:

(Embedded image moved to file: pic24464.pcx)

And here is it on NT:

(Embedded image moved to file: pic05705.pcx)

I have to say this is one of the more annoying little problems that seem to
crop up all the time.

Perhaps cygwin is too dependent on Windows settings, which seem to change
frequently for me.

Thanks for any comments,

Albert Galick

--
Want to unsubscribe from this list?
Send a message to [email-masked]